# rpmSignArguments_s Struct Reference
[RPMCLI.]

Describe signature command line request. More...

`#include <rpmcli.h>`

## Data Fields

rpmResignFlags | addSign
rpmCheckSigFlags | checksigFlags
int | sign
char * | passPhrase

## Detailed Description

Describe signature command line request.

Definition at line 551 of file rpmcli.h.

## Field Documentation

rpmResignFlags rpmSignArguments_s::addSign

from --checksig/--resign/--addsign

Definition at line 552 of file rpmcli.h.

Referenced by signArgCallback().

rpmCheckSigFlags rpmSignArguments_s::checksigFlags

bits to control --checksig

Definition at line 553 of file rpmcli.h.

int rpmSignArguments_s::sign

Is a passphrase needed?

Definition at line 554 of file rpmcli.h.

Referenced by signArgCallback().

char* rpmSignArguments_s::passPhrase

Definition at line 555 of file rpmcli.h.

Referenced by main().

The documentation for this struct was generated from the following file:

- lib/rpmcli.h